---
title: GitLab Contribute
description: "Contribute is our annual GitLabber community event. We get together to get face time with one another, build community, and get some work done! Since our team is scattered all over the globe, we try to plan a different location for each GitLab Contribute."
image_title: '/images/events/gitlab-commit/gitlab-commit-header.png'
layout: default
suppress_header: true
extra_css:
  - event.css
  - event-commit.css
  - simplify-devops.css
  - event-contribute.css
extra_js:
  - libs/on-scroll.js
  - in-page-nav.js
  - all-clickable.js
  - simplify-devops.js
---

= partial "/includes/events/contribute/hero1"
.gitlab-content-container.commit-content-container
  .content.commit-content
    .js-in-page-nav-group{ role: "main", offset: 0, showhash: "true" }
      = partial "/includes/events/contribute/main"

      .row.js-in-page-nav-section#travel
        .container
          .u-margin-top-md
            %h2.u-text-brand Lodging
            %p We'll be staying at both the <a href="https://www3.hilton.com/en/hotels/czech-republic/hilton-prague-PRGHITW/index.html">Hilton Prague</a> (Pobřežní 1, Prague, Czech Republic, 186 00) and <a href="https://www3.hilton.com/en/hotels/czech-republic/hilton-prague-old-town-PRGOTHI/index.html">Hilton Prague Old Town</a> (V Celnici 7, Prague, Czech Republic, 110 00). Rooming assignments will be rolled out after registration closes, around mid-February. We're also trying to provide as many single rooms as possible throughout the process to people who go above and beyond, but as always, you'll have the option to guarantee a private room with an out-of-pocket $500 fee. We've negotiated rates at each of the hotels for up to five days before and after the event for those wanting to extend their trip and for groups wanting to host team meetings. You'll be able to express these preferences during registration.

      .row.js-in-page-nav-section#schedule
        .container
          .u-margin-top-md
            %h2.u-text-brand Timelines
            %p The registration portal will open October 29. At that time, you'll be able to book travel, express rooming preferences, extended stay preferences, suggest workshops, and express interest in excursions. <b>Please refrain from booking any travel prior to registration opening; we're working on a more seamless solution for flights and transportation this year</b>. On the last day of every month, we'll send out a newsletter to the team with updates on the event and tips on how to prep. Questions? Please feel free to reach out to <a href="mailto:contribute@gitlab.com">contribute@gitlab.com</a>.

            %h3 Sample agenda
            %p <em>Details subject to change slightly</em>
            %h5 Sunday Mar 22
            %ul
              %li Arrivals Day
            %h5 Monday Mar 23
            %ul
              %li Keynotes
              %li Workshops
              %li Traditional Czech Team Dinner
            %h5 Tuesday Mar 24
            %ul
              %li Workshops
              %li Excursions
              %li Evening activity offsite
            %h5 Wednesday Mar 25
            %ul
              %li Team day
            %h5 Thursday Mar 26
            %ul
              %li Excursions
              %li Final party
            %h5 Friday Mar 27
            %ul
              %li Departures day

      .row.js-in-page-nav-section#excursions
        .container
          .u-margin-top-md
            %h2.u-text-brand Excursions
            %p
              %em We’re finalizing the excursions and would love your input to help guide our decisions. When you register for the event you will be able to select your top two excursion choices. Based on the number of signups, we’ll determine which excursions to book.  
            %ul
              %li <strong>Good morning, Prague!</strong> - Take an early morning stroll through Prague. Enjoy the history and architecture of the City of a Hundred Spires without the hustle and bustle of crowds. This 60-minute walk lets you explore the sites you wouldn’t be able to see during during busier times.
              %li <strong>Photography tour</strong> - Led by a professional art photographer, you’ll capture the most beautiful views with the best lighting. Your guide will provide short lessons to help you to capture the best photos and provide you with pictures the next day. You’ll head out at 7am to see the city center without the crowds.
              %li <strong>Prague Castle</strong> - Built in the 9th century, Prague Castle is a UNESCO World Heritage site. This sightseeing tour takes you through the castle and its gardens.
              %li <strong>Lobkowicz Palace</strong> - This 16th century palace provides a panoramic view of the city and an amazing museum filled with art and hand-annotated manuscripts by some of the greatest composers of the 17th – 19th centuries, including Beethoven, Mozart and Haydn.
              %li <strong>Josefov Jewish Quarter</strong> - This walking tour focuses on synagogues and cemeteries and includes the story of Prague’s Jewish community. You’ll follow in Franz Kafka’s footsteps and discover the places that influenced his writing.
              %li <strong>Old Town</strong> - Take a walking tour to see the beautiful Old Town Square and the Astronomical Clock. Every hour on the hour, clockwork figures on the tower's facade enact a timely story. You’ll end the tour with a boat cruise, enjoying views of the Charles Bridge and Prague Castle.
              %li <strong>Hidden gems</strong> Discover the places that most tourists don’t see. You’ll visit hidden streets and houses near the Prague Castle and Lesser Town. You’ll round out the day by hopping into a vintage car to do some sightseeing
              %li <strong>Home cooking</strong> - Visit a Czech family and spend the day shopping at the local market, cooking a traditional Czech dish, and dining with the family. You’ll learn about life in Czech Republic and enjoy drinks and conversation with your welcoming hosts. 
              %li <strong>Marionette making class</strong> - Visit Prague’s leading marionette maker to learn about the tradition and various types of marionettes and make your own marionette.
              %li <strong>Shopping tour</strong> - Walk through Old Town to find local products, such as traditional Bohemian crystal, Garnet jewelry, and natural cosmetic products.
              %li <strong>Design tour</strong> - Prague is home to a flourishing design scene. You’ll discover vibrant and affordable alternatives to mainstream shopping, with boutiques, ateliers, and workshops in the city center and surrounding suburbs.
              %li <strong>Melnik Castle</strong> - Trek outside the city to visit a richly decorated castle that has become the residence of the queen widows of Bohemia. You’ll also enjoy wine tasting and a delicious lunch.
              %li <strong>Kutna Hora</strong> - The town of Kutna Hora, a UNESCO World Heritage Site, is a medieval mining town about 80km east of Prague. You’ll visit a cathedral, court, and ossuary. 
              %li <strong>Winery tour</strong> - Enjoy wine tasting in the beautiful town of Třebívlice, where you’re experience the thousand-year old tradition of wine from Northern Bohemia. 
              %li <strong>Bohemian crystal</strong> - Visit a glassmaker who combines mouth-blown, hand-cut crystal with unique designs. You’ll view the traditional techniques of glassworks and see each stage in crystal production. 
              %li <strong>Brewery tour</strong> - Tour a well-known brewery and its storage cellars to learn about traditional methods for producing beer. You’ll have lunch at the brewery restaurant and enjoy a pint.
              %li <strong>Hiking tour</strong> - Hike through Bohemian Paradise to see dramatic rock formations, deep shady valleys, meandering rivers, and quiet ponds surrounded by forests. You’ll walk from Valdstejn castle through the Bohemian Paradise to end at Hruba Skala Castle.
              %li <strong>Car museum</strong> - You’ll learn more about ŠKODA, one of the oldest automotive brands, and see the original production halls in which the company manufactured cars until 1928. 
              %li <strong>Offroading</strong> - Discover magnificent landscapes in a 4×4 and visit forgotten castles and local craftsmen. You’ll enjoy a hearty breakfast and a day of adventure.
              %li <strong>Karlstejn Castle</strong> - After a short drive outside the city, you’ll arrive in Karlstejn village where you’ll take horse-drawn carriages to the Castle. After the tour, you’ll have free time for souvenir shopping and lunch at a nearby restaurant.
            %p Note: there will be more flexibility in booking this year and we will keep spaces open to new hires. We will ask your top choices when you register to gauge interest in each of the options but you will not be locked in at this point.

      .row.js-in-page-nav-section#workshops
        .container
          .u-margin-top-md
            %h2.u-text-brand Workshops
            %p Do you have an idea for a Contribute workshop, or do you have a topic you want to present? <a href="https://gitlab.com/gitlab-com/marketing/contribute/contribute-2020/issues/new?issuable_template=workshop_submission">Create an issue here</a>.
      .row.js-in-page-nav-section#ambassadors
        .container
          .u-margin-top-md
            %h2.u-text-brand Ambassadors and volunteers
            %p Want to nominate yourself or someone else to be a Contribute Ambassador? <a href="https://docs.google.com/forms/d/e/1FAIpQLSf_mGw8eahy3XfTZfrnUTuXlqm9bdeF52Gp8fU6pUceTlW_-A/viewform">Submit this form</a>. Warning: Being an Ambassador is not for the faint of heart. You'll experience Contribute more from the perspective of the organizers, rather than as an attendee. It can be very rewarding, and we love your help, but if you love your sleep, this might not be the best fit for you, considering Ambassadors will help 1,200 attendees! Still want to help out, but don't have the bandwidth to dedicate your entire time to organizing? Please consider becoming a volunteer and complete <a href="https://docs.google.com/forms/d/e/1FAIpQLSf_mGw8eahy3XfTZfrnUTuXlqm9bdeF52Gp8fU6pUceTlW_-A/viewform"> this form</a>.

      .row.js-in-page-nav-section#about
        .container
          .u-margin-top-md
            %h2.u-text-brand About
            %h3 Why Contribute?
            %p The name and concept of Contribute stems from our <a href="/handbook/values/">GitLab Values</a> of Collaboration, Results, Effectiveness, Diversity, Iteration, and Transparency. We believe "everyone can contribute" and this motto is ingrained in everything we do and integral to our success as a team and company. We're better together and because of each other, so we ask that everyone contributes at this event.

            %h3 What to expect?
            %p This is not your average conference where you passively listen to content and are forced to attend specific sessions. You're signing up to contribute to building and sharing with this community.

            %h3 Goals
            %p The goal of Contribute is to get to know the people in the GitLab community. The better you know people, the easier it is to collaborate. We want to build trust and rapport between groups.

            %h3 FAQ
            %p <a href="https://gitlab.com/gitlab-com/marketing/contribute/contribute-2020/blob/master/README.md">See the project page and FAQ's</a>

            %h3 2019 recap
            %p As you surely know, we are an all-remote company with <a href="/team/">over 900 team members in more than 55 countries</a>. Since we don’t have watercooler talk or an office, we do a lot of fun stuff when we are all get together! We'd love for you to get to know us and each other, without a focus on your job or title. This way you'll see the people that contribute to GitLab instead of just a name on your screen. We have a whole list of fun activities planned for 2020 and are excited to spend time with you.
            %iframe{ width: "140", height: "79", src: "https://www.youtube.com/embed/xdtPNXtkBhE", frameborder: "0", allow: "accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture", allowfullscreen: "" }


      .row.js-in-page-nav-section#contact
        .container
          .u-margin-top-md.u-margin-bottom-xl
            %h2.u-text-brand.text-center Contact
            %h4.text-center.u-margin-top-sm <a href="mailto:contribute@gitlab.com">contribute@gitlab.com</a>

%script{ src: "/javascripts/countdown.js", type: "text/javascript" }
%script{ src: "/javascripts/contribute.js", type: "text/javascript" }
